> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch User Details

> Fetch detailed information for a specific user by their ID.



## OpenAPI

````yaml /openapi/product/groups-api.yaml get /api/identity/v1/users/{userId}
openapi: 3.1.0
info:
  title: Group Documentation
  version: 1.0.0
  description: >-
    Authentication: Requests to the endpoints in this document should be
    authenticated using an access token. The token should be passed using the
    X-DOMO-Developer-Token header. For information about generating an access
    token see
    https://domo-support.domo.com/s/article/360042934494?language=en_US.
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: groups
paths:
  /api/identity/v1/users/{userId}:
    get:
      tags:
        - Groups API (Product)
      summary: Fetch User Details
      description: Fetch detailed information for a specific user by their ID.
      parameters:
        - in: path
          name: userId
          required: true
          description: The ID of the user
          schema:
            $ref: '#/components/schemas/UserIdParam'
        - in: query
          name: parts
          required: false
          description: Specifies the detail level, e.g., detailed
          schema:
            type: string
      responses:
        '200':
          description: 'Status Code: 200'
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserDetailsItem'
              examples:
                example:
                  value:
                    - name: Domo User
                      id: 3817263817
                      location: ''
                      manager: ''
                      phoneNumber: +phone number
                      title: Software Engineer
components:
  schemas:
    UserIdParam:
      type: string
      description: The ID of the user
    UserDetailsItem:
      type: object
      properties:
        name:
          type: string
        id:
          type: integer
        location:
          type: string
        manager:
          type: string
        phoneNumber:
          type: string
        title:
          type: string
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````